/*****************************************************************************

 
 COPYRIGHT All rights reserved Sony Ericsson Mobile Communications AB 2006.

 

 The software is the copyrighted work of Sony Ericsson Mobile Communications AB.

 The use of the software is subject to the terms of the end-user license 

 agreement which accompanies or is included with the software. The software is 

 provided "as is" and Sony Ericsson specifically disclaim any warranty or 

 condition whatsoever regarding merchantability or fitness for a specific 

 purpose, title or non-infringement. No warranty of any kind is made in 

 relation to the condition, suitability, availability, accuracy, reliability, 

 merchantability and/or non-infringement of the software provided herein.

 

 *****************************************************************************/


// capturescreenAppUi.h

#ifndef __capturescreenAPPUI_H__
#define __capturescreenAPPUI_H__

#include <QikAppUi.h>
#include "capturescreenBaseView.h"


#include <MdaImageConverter.h>

class CcapturescreenAppUi : public CQikAppUi, public MMdaImageUtilObserver 
{
public:
	void ConstructL();
	~CcapturescreenAppUi();

	void capture();

	void MiuoCreateComplete(TInt aError);
	void MiuoOpenComplete(TInt aError);
	void MiuoConvertComplete(TInt aError);

private:
	void InfoMessage(const TDesC &text);
	void InfoMessage(const TDesC &currentText, const TDesC &text);
	
	enum { DriveC, DriveD };

	bool CreateUniqueFileName(TFileName& aFileName);

	void StartCapture();
	void StopCapture();	
	void updateTime();
	static TInt MyFunc(TAny* aObj);
	

	void HandleCommandL(CQikCommand &aCommand);

  	CcapturescreenBaseView* iBaseView;

   	int iTime;   
 	CPeriodic* iPeriodic; 
	CFbsBitmap* iBitmap;
	CMdaImageBitmapToFileUtility* iMda; 
	TInt iDrive;
};


#endif


