/*****************************************************************************

 
 COPYRIGHT All rights reserved Sony Ericsson Mobile Communications AB 2006.

 

 The software is the copyrighted work of Sony Ericsson Mobile Communications AB.

 The use of the software is subject to the terms of the end-user license 

 agreement which accompanies or is included with the software. The software is 

 provided "as is" and Sony Ericsson specifically disclaim any warranty or 

 condition whatsoever regarding merchantability or fitness for a specific 

 purpose, title or non-infringement. No warranty of any kind is made in 

 relation to the condition, suitability, availability, accuracy, reliability, 

 merchantability and/or non-infringement of the software provided herein.

 

 *****************************************************************************/
 
// capturescreenBaseView.h
#ifndef __capturescreenBASEVIEW_H__
#define __capturescreenBASEVIEW_H__


#include <QikViewBase.h>
#include <capturescreen.rsg>
#include "capturescreenGlobals.h"
#include "capturescreen.hrh"
#include <COECCNTX.H>


class CcapturescreenBaseView : public CQikViewBase
{
public:
  static CcapturescreenBaseView* NewLC(CQikAppUi& aAppUi);
  ~CcapturescreenBaseView();

  TVwsViewId ViewId() const;

  void SetView(const TQikViewMode &aMode)
  {
    SetViewModeL(aMode);
  }


 void SetTime(int aTime)
 {
	TBuf<32> text;
	text.Num(aTime);	

	iText =_L("Countdown: ");
	iText.Append(text);

 	DrawNow();
 }

 void SetText(const TDesC &t)   
 {
	iText = t;
 	DrawNow();
 }

 void SetCurrentText(const TDesC &t)
 {
	iStateText = t;
 	DrawNow();
 }

protected:
  	void ViewConstructL();

private:
  	CcapturescreenBaseView(CQikAppUi& aAppUi);
  	void ConstructL();

	void Draw(const TRect& aRect) const;

	int iSeconds;	
	TBuf<128> iStateText;
	TBuf<128> iText;
};


#endif


