/*****************************************************************************

 
 COPYRIGHT All rights reserved Sony Ericsson Mobile Communications AB 2006.

 

 The software is the copyrighted work of Sony Ericsson Mobile Communications AB.

 The use of the software is subject to the terms of the end-user license 

 agreement which accompanies or is included with the software. The software is 

 provided "as is" and Sony Ericsson specifically disclaim any warranty or 

 condition whatsoever regarding merchantability or fitness for a specific 

 purpose, title or non-infringement. No warranty of any kind is made in 

 relation to the condition, suitability, availability, accuracy, reliability, 

 merchantability and/or non-infringement of the software provided herein.

 

 *****************************************************************************/
 


//capturescreenBaseView.cpp
 #include "capturescreenBaseView.h"
 #include <QikCommand.h>


/*-----------------------------------------------------------------------*/
/*-----------------------------------------------------------------------*/
CcapturescreenBaseView* CcapturescreenBaseView::NewLC(CQikAppUi& aAppUi)
{
	CcapturescreenBaseView* self = new (ELeave) CcapturescreenBaseView(aAppUi);
	CleanupStack::PushL(self);
  	self->ConstructL();
  	return self;
}


/*-----------------------------------------------------------------------*/
/*-----------------------------------------------------------------------*/
void CcapturescreenBaseView::ViewConstructL()
{
  	ViewConstructFromResourceL(R_CAPTURESCREEN_BASEVIEW_UI_CONFIGURATIONS, 0);
}


/*-----------------------------------------------------------------------*/
/*-----------------------------------------------------------------------*/
TVwsViewId CcapturescreenBaseView::ViewId() const
{
	return TVwsViewId(KUidcapturescreenID, KUidcapturescreenBaseViewID);
}


/*-----------------------------------------------------------------------*/
/*-----------------------------------------------------------------------*/
void CcapturescreenBaseView::ConstructL()
{
  	BaseConstructL();
 	SetCurrentText(_L("Choose capture method"));  
}


/*-----------------------------------------------------------------------*/
/*-----------------------------------------------------------------------*/
CcapturescreenBaseView::~CcapturescreenBaseView() {}


/*-----------------------------------------------------------------------*/
/*-----------------------------------------------------------------------*/
CcapturescreenBaseView::CcapturescreenBaseView(CQikAppUi& aAppUi) : CQikViewBase(aAppUi, KNullViewId) {}


/*-----------------------------------------------------------------------*/
/*-----------------------------------------------------------------------*/
void CcapturescreenBaseView::Draw(const TRect& /*aRect*/) const
{
  	TRect  drawRect(Rect());
  	CWindowGc& gc = SystemGc();
  	gc.SetBrushColor(TRgb(128,255,255));   
  	gc.Clear();

  	const CFont* fontUsed;
  	fontUsed = iEikonEnv->TitleFont();
  	gc.UseFont(fontUsed);
  	TInt baselineoffset = (drawRect.Height() - fontUsed->HeightInPixels())/2;

  	gc.DrawText(iStateText, drawRect, baselineoffset, CGraphicsContext::ECenter, 0);
  	drawRect.Move(0,30);
  	gc.DrawText(iText, drawRect, baselineoffset, CGraphicsContext::ECenter, 0);

  	gc.DiscardFont();
}


